let currentItemId = null;

function openNoteModal(event, itemId) {
  event.stopPropagation();
  currentItemId = itemId;
  const noteEl = document.querySelector(`#item-${itemId} small`);
  document.getElementById('noteText').value = noteEl ? noteEl.innerText : "";
  const modal = new bootstrap.Modal(document.getElementById('noteModal'));
  modal.show();
}

function submitNote(e) {
  e.preventDefault();
  const text = document.getElementById('noteText').value;

  if (currentItemId !== null) {
    socket.emit('update_note', { item_id: currentItemId, note: text });

    const modal = bootstrap.Modal.getInstance(document.getElementById('noteModal'));
    modal.hide();
  }
}
